CKSUM(1)

NOMBRE
cksum - calcula y verifica sumas de comprobación de archivos

SINOPSIS
cksum [OPCIÓN]... [ARCHIVO]...

DESCRIPCIÓN

Muestra o verifica sumas de comprobación. Emplea el algoritmo CRC de 32 bits por defecto.

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-a, --algoritmo=TIPO
    Seleccione el tipo de resumen que desea usar. Ver RESUMEN a continuación

--base64
    emite resúmenes codificados en base64, en lugar de hexadecimal

-c, --check
    lee y verifica las sumas de comprobación presentes en ARCHIVO

-l, --lenght=BITS
    longitud del resumen de comprobación en bits; no puede superar el tope para el algoritmo blake2 y debe ser múltiplo de 8.

--raw
    emite un resumen binario, en lugar de hexadecimal

--tag
    crea una suma de comprobación al estilo BSD (por defecto)

--untagged
    crea una suma de comprobación invertida sin tipo de comprobación

-z, --zero
    finaliza cada línea de salida con NUL en lugar de un salto de línea, desactivando asimismo el escape en los nombres de archivo

  Las cinco opciones siguientes solo se utilizan al verificar sumas de comprobación:

--ignore-missing
    no emite ningún error ni informa si falta algún archivo

--quiet
    no muestra 'OK' para cada archivo que verifique

--status
    no emite ningún mensaje, el estado de salida indicará si todo transcurrió correctamente

--strict
    termina con un estado de salida distinto a cero si se encuentra con sumas de comprobación con un formato incorrecto

-w, --warn
    avisa si encuentra alguna suma de comprobación con un formato incorrecto

--debug
    indica la implementación empleada

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

  RESUMEN nos dará el algoritmo de suma de comprobación y el formato de salida por defecto:

sysv
    (Equivale a sumar -s)

bsd (Equivale a sumar -r)

crc (equivalente a cksum)

crc32b
    (solo disponible mediante cksum)

md5 (equivalente a md5sum)

sha1
    (Equivalente a sha1sum)

sha224
    (equivalente de sha224sum)

sha256
    (equivalente a sha256sum)

sha384
    (equivalente a sha384sum)

sha512
    (equivalente a sha512sum)

blake2b
    (equivalente a b2sum)

sm3 (solo disponible mediante cksum)

Para realizar comprobaciones, los datos deben haber sido generados mediante la misma apliación u otra equivalente.

AUTOR
Escrito por Padraig Brady y Q. Frank Xia.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/cksum>
también disponible localmente ejecutando: info '(coreutils) cksum invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.